Bug 208120 - kernel compiling problem
kernel compiling problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 11:38 EDT by andro
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 14:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andro 2006-09-26 11:38:43 EDT
i try to complie kernel 2.6.18 to fix a sound problem as  don`t have sound at my
computer i have the following problems i install the qt and qt4 devel but the
same error appear 

[ANDRO@localhost linux-2.6.18]$ make mrproper
  CLEAN   scripts/basic
  CLEAN   scripts/kconfig
  CLEAN   include/config
[ANDRO@localhost linux-2.6.18]$ make xconfig
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/basic/docproc
  CHECK   qt
*
* Unable to find the QT installation. Please make sure that
* the QT development package is correctly installed and
* either install pkg-config or set the QTDIR environment
* variable to the correct location.
*
make[1]: *** [scripts/kconfig/.tmp_qtcheck] Error 1
make: *** [xconfig] Error 2
[ANDRO@localhost linux-2.6.18]$ make menuconfig
  HOSTCC  scripts/kconfig/conf.o
  HOSTCC  scripts/kconfig/kxgettext.o
  HOSTCC  scripts/kconfig/mconf.o
  SHIPPED scripts/kconfig/zconf.tab.c
  SHIPPED scripts/kconfig/lex.zconf.c
  SHIPPED scripts/kconfig/zconf.hash.c
  HOSTCC  scripts/kconfig/zconf.tab.o
  HOSTLD  scripts/kconfig/mconf
  HOSTCC  scripts/kconfig/lxdialog/checklist.o
In file included from scripts/kconfig/lxdialog/checklist.c:24:
scripts/kconfig/lxdialog/dialog.h:31:20: error: curses.h: No such file or direct ory
In file included from scripts/kconfig/lxdialog/checklist.c:24:
scripts/kconfig/lxdialog/dialog.h:128: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘
__attribute__’ before ‘use_colors’
scripts/kconfig/lxdialog/dialog.h:129: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘
__attribute__’ before ‘use_shadow’
scripts/kconfig/lxdialog/dialog.h:131: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘
__attribute__’ before ‘attributes’
scripts/kconfig/lxdialog/dialog.h:143: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/dialog.h:146: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/dialog.h:147: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/dialog.h:148: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/dialog.h:149: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/dialog.h:151: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/checklist.c:31: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/checklist.c:59: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/checklist.c:95: error: expected ‘)’ before ‘*’ token
scripts/kconfig/lxdialog/checklist.c: In function ‘dialog_checklist’:
scripts/kconfig/lxdialog/checklist.c:117: error: ‘WINDOW’ undeclared (first use
in this function)
scripts/kconfig/lxdialog/checklist.c:117: error: (Each undeclared identifier is
reported only once
scripts/kconfig/lxdialog/checklist.c:117: error: for each function it appears in .)
scripts/kconfig/lxdialog/checklist.c:117: error: ‘dialog’ undeclared (first use
in this function)
scripts/kconfig/lxdialog/checklist.c:117: error: ‘list’ undeclared (first use in
 this function)
scripts/kconfig/lxdialog/checklist.c:117: warning: left-hand operand of comma ex
pression has no effect
scripts/kconfig/lxdialog/checklist.c:117: warning: statement with no effect
scripts/kconfig/lxdialog/checklist.c:121: warning: implicit declaration of funct
ion ‘endwin’
scripts/kconfig/lxdialog/checklist.c:122: warning: implicit declaration of funct
ion ‘fprintf’
scripts/kconfig/lxdialog/checklist.c:122: warning: incompatible implicit declara
tion of built-in function ‘fprintf’
scripts/kconfig/lxdialog/checklist.c:122: error: ‘stderr’ undeclared (first use
in this function)
scripts/kconfig/lxdialog/checklist.c:140: error: ‘COLS’ undeclared (first use in
 this function)
scripts/kconfig/lxdialog/checklist.c:141: error: ‘LINES’ undeclared (first use i
n this function)
scripts/kconfig/lxdialog/checklist.c:143: warning: implicit declaration of funct
ion ‘draw_shadow’
scripts/kconfig/lxdialog/checklist.c:143: error: ‘stdscr’ undeclared (first use
in this function)
scripts/kconfig/lxdialog/checklist.c:145: warning: implicit declaration of funct
ion ‘newwin’
scripts/kconfig/lxdialog/checklist.c:146: warning: implicit declaration of funct
ion ‘keypad’
scripts/kconfig/lxdialog/checklist.c:146: error: ‘TRUE’ undeclared (first use in
 this function)
scripts/kconfig/lxdialog/checklist.c:148: warning: implicit declaration of funct
ion ‘draw_box’
scripts/kconfig/lxdialog/checklist.c:148: error: ‘attributes’ undeclared (first
use in this function)
scripts/kconfig/lxdialog/checklist.c:149: warning: implicit declaration of funct
ion ‘wattrset’
scripts/kconfig/lxdialog/checklist.c:150: warning: implicit declaration of funct
ion ‘mvwaddch’
scripts/kconfig/lxdialog/checklist.c:152: warning: implicit declaration of funct
ion ‘waddch’
scripts/kconfig/lxdialog/checklist.c:156: warning: implicit declaration of funct
ion ‘print_title’
scripts/kconfig/lxdialog/checklist.c:159: warning: implicit declaration of funct
ion ‘print_autowrap’
scripts/kconfig/lxdialog/checklist.c:166: warning: implicit declaration of funct
ion ‘subwin’
scripts/kconfig/lxdialog/checklist.c:191: warning: implicit declaration of funct
ion ‘print_item’
scripts/kconfig/lxdialog/checklist.c:197: warning: implicit declaration of funct
ion ‘print_arrows’
scripts/kconfig/lxdialog/checklist.c:200: warning: implicit declaration of funct
ion ‘print_buttons’
scripts/kconfig/lxdialog/checklist.c:202: warning: implicit declaration of funct
ion ‘wnoutrefresh’
scripts/kconfig/lxdialog/checklist.c:204: warning: implicit declaration of funct
ion ‘doupdate’
scripts/kconfig/lxdialog/checklist.c:207: warning: implicit declaration of funct
ion ‘wgetch’
scripts/kconfig/lxdialog/checklist.c:214: error: ‘KEY_UP’ undeclared (first use
in this function)
scripts/kconfig/lxdialog/checklist.c:214: error: ‘KEY_DOWN’ undeclared (first us
e in this function)
scripts/kconfig/lxdialog/checklist.c:224: error: ‘FALSE’ undeclared (first use i
n this function)
scripts/kconfig/lxdialog/checklist.c:225: warning: implicit declaration of funct
ion ‘scrollok’
scripts/kconfig/lxdialog/checklist.c:226: warning: implicit declaration of funct
ion ‘wscrl’
scripts/kconfig/lxdialog/checklist.c:235: warning: implicit declaration of funct
ion ‘wrefresh’
scripts/kconfig/lxdialog/checklist.c:285: warning: incompatible implicit declara
tion of built-in function ‘fprintf’
scripts/kconfig/lxdialog/checklist.c:286: warning: implicit declaration of funct
ion ‘delwin’
scripts/kconfig/lxdialog/checklist.c:290: error: ‘KEY_LEFT’ undeclared (first us
e in this function)
scripts/kconfig/lxdialog/checklist.c:291: error: ‘KEY_RIGHT’ undeclared (first u
se in this function)
make[2]: *** [scripts/kconfig/lxdialog/checklist.o] Error 1
make[1]: *** [menuconfig] Error 2
make: *** [menuconfig] Error 2
[ANDRO@localhost linux-2.6.18]$
Comment 1 Jarod Wilson 2006-09-26 14:30:56 EDT
Log out and log back in, and/or '. /etc/profile.d/qt.sh'. Then try again.
Comment 2 andro 2006-09-27 05:59:49 EDT
thx sir i it fixed 
Comment 3 andro 2006-09-27 11:07:59 EDT
so i have a new problem now after compiling the kernel at the step that i copy
the bzImage to the /boot i go to the /usr/src/arch/linux-2.6.18/arch/i386/boot i
found that the bzImage  have an icon like a paper(not compressed file shap)like
the text files and it is 1.5 MB however i copy it to the /boot folder as i read
in HOWTO and edite the grub.config file adding this kernel after reboot the
result was and error say 
 {15 error :file not found }and it does not boot wat is the problem and where
vmlinux,initrd,config,system.map files as the old kernel have at /boot 
 i am waiting for ur answer plz sir
Comment 4 Jarod Wilson 2006-09-27 12:39:30 EDT
We only support the kernels we ship and Bugzilla isn't an end-user support
forum. Please visit https://www.redhat.com/apps/support/ instead.

Note You need to log in before you can comment on or make changes to this bug.